1

Brand new Ubuntu 20.04 VM. A --full install of the latest and greatest buildkit, configured per the developer guide. civibuild create dmaster is the only build that's successfully executed so far. It installed Drupal 7.90-dev. I don't know which version of Civi; it was initially disabled and when I enabled the module, it said I had to configure it first. Clicking the link to configure gives Error: Class 'Civi\Setup' not found in civicrm_setup_page(). End of that, don't matter because I'm looking for a current build anyway.

The first build I attempted after configuring buildkit was civibuild create d9civi545 --type drupal9-clean --civi-ver 5.45 --url http://d9civi545.localhost. It produced about 40KB of output and I believe it got pretty far in the process, but ultimately died with an implode(): Invalid arguments passed. It did not get far enough along to create a database or vhost config.

After that I tried again with Civi 5.46 instead, and then tried civibuild create d9-master. Those failed very quickly, with various dependencies failing to install, then exiting when it couldn't delete some file.

So what do you think I'm doing wrong?

2
  • What php version? If the OS is latest-greatest it might be using an unsupported php version. FYI dmaster means the latest dev code, which is fine for a dev install so I don't think that would be related to the problem.
    – Demerit
    Mar 22, 2022 at 14:59
  • The buildkit install script installed everything in this VM, including Apache, MySQL, and PHP. Shouldn't be a version incompatibility.
    – konadave
    Mar 23, 2022 at 15:29

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.